package leiturajsonfipe.main;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import org.json.simple.JSONArray;
import org.json.simple.JSONObject;
import org.json.simple.parser.JSONParser;
import org.json.simple.parser.ParseException;

import leiturajsonfipe.dao.VeiculoDao;
import leiturajsonfipe.model.VeiculoModel;



/**
 * 
 * @author Daniel Paulo de Assis
 *
 */
public class principal {

	/**
	 * @param args
	 * @throws FileNotFoundException 
	 */
	public static void main(String[] args) throws FileNotFoundException {
		
		JSONParser parser = new JSONParser();
		
		try {
			
			/**Faz o parse do arquivo**/
			JSONArray jsonObject= (JSONArray) parser.parse(new FileReader("C:\\fipe.json"));
			 
			VeiculoModel veiculoModel = new VeiculoModel();
			
			/**Lists que vo receber os atributos do veculo**/
			List<String> mesReferencia 	= new ArrayList<String>();
			List<String> preco 			= new ArrayList<String>();
			List<String> tipo 			= new ArrayList<String>();
			List<String> marca 			= new ArrayList<String>();
			List<String> modelo 		= new ArrayList<String>();
			List<String> data 			= new ArrayList<String>();
			List<String> codigoFipe  	= new ArrayList<String>();
			List<String> ano 			= new ArrayList<String>();
			
		
			/**Loop para popular as listas**/
			for(Object o: jsonObject){
				
				JSONObject veiculo = (JSONObject) o;
				
				mesReferencia.add((String) veiculo.get("mes_referencia"));
				preco.add((String) veiculo.get("preco"));
				tipo.add((String) veiculo.get("tipo"));
				marca.add((String) veiculo.get("marca"));
				modelo.add((String) veiculo.get("modelo"));
				data.add((String) veiculo.get("data"));
				codigoFipe.add((String) veiculo.get("cod_fipe"));
				ano.add((String) veiculo.get("ano"));
				
				
				
			}
			
			/**setando os atributos do tipo do veculo com a lista**/
			veiculoModel.setMesRerencia(mesReferencia);
			veiculoModel.setPreco(preco);
			veiculoModel.setTipo(tipo);
			veiculoModel.setMarca(marca);
			veiculoModel.setModelo(modelo);
			veiculoModel.setData(data);
			veiculoModel.setCodigoFipe(codigoFipe);
			veiculoModel.setAno(ano);
			
			/**Chamada ao mtodo que faz o insert dos dados recuperados do arquivo**/
			VeiculoDao.inserirDadosVeiculoDao(veiculoModel);
			
			
			
			
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (ParseException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
        		
	}
				
        	

}
