package leiturajsonfipe.util;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

/**
 *
 * @author Daniel Paulo de Assis
 * 
 */
public class Conexao {

    Connection con = null;
    private static Conexao instance = null;
    

    /**
     * 
     */
    public Conexao() {
        loadDriver();
    }

    /**
     * 
     */
    public static void loadDriver() {

        String driver = "org.postgresql.Driver";
        try {
            Class.forName(driver);
            System.out.println("Driver carregado com sucesso !!!!");
        } catch (ClassNotFoundException e) {
            System.out.println("Driver no pode ser carregado!!!!");
        }
    }

    /**
     * 
     * @return 
     */
    public static Conexao getInstance() {
        
        if (instance == null) {
            instance = new Conexao();
        }
        return instance;
    }

    /**
     * 
     * @param user
     * @return 
     */
    public Connection getConnection() {
        try {
       
        
   
            if (con == null || con.isClosed()) {
                
                con = DriverManager.getConnection("jdbc:postgresql://seu_ip:5432/fipe","seu_usuario","sua_senha");

            }

        } catch (SQLException e) {
            System.out.println(e.getMessage());
        } 
        return con;
    }

    /**
     * 
     */
    public void destroy() {
        try {
            con.close();
            con = null;
            System.out.println("Conexo encerrada com sucesso");
        } catch (SQLException e) {
            System.out.println(e.getMessage());
        }
    }
}
